# $Revision: 1.26 $, $Date: 2011/12/16 19:31:24 $
Summary:	Tool for generating API documentation for Python modules
Summary(pl.UTF-8):	Narzędzie do generowania dokumentacji API modułów Pythona
Name:		epydoc
Version:	3.0.1
Release:	6
License:	MIT
Group:		Development/Languages/Python
Source0:	http://downloads.sourceforge.net/epydoc/%{name}-%{version}.zip
# Source0-md5:	43223b2139c59ec60f064564bea82bf4
Patch0:		%{name}-rst.patch
Patch1:		%{name}-__package__.patch
Patch2:		%{name}-cons_fields_stripping.patch
URL:		http://epydoc.sourceforge.net/
BuildRequires:	python
BuildRequires:	python-modules >= 2.2.1
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
epydoc is a tool for generating API documentation for Python modules,
based on their docstrings. For an example of epydoc's output, see the
API documentation for epydoc itself (html, pdf). A lightweight markup
language called epytext can be used to format docstrings and to add
information about specific fields, such as parameters and instance
variables. epydoc also understands docstrings written in
ReStructuredText, Javadoc and plaintext.

%description -l pl.UTF-8
epydoc jest narzędziem do generowania dokumentacji API modułów Pythona
w oparciu o ich wewnętrzne opisy (docstrings). Jako przykład wyniku
jego działania można obejrzeć jego własną dokumentację (html, pdf).
Dostępny jest prosty język znaczników o nazwie epytext, który można
wykorzystać do formatowania wewnętrznych opisów oraz do dodawania
informacji o konkretnych polach, takich jak parametry i zmienne
instancji. epydoc rozumie również wewnętrzne opisy stworzone w
formatach ReStructuredText i Javadoc oraz w postaci czystego tekstu.

%package gui
Summary:	GUI for epydoc
Summary(pl.UTF-8):	Interfejs graficzny dla epydoc
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-tkinter >= 2.2.1

%description gui
epydoc is a tool for generating API documentation for Python modules,
based on their docstrings. For an example of epydoc's output, see the
API documentation for epydoc itself (html, pdf). A lightweight markup
language called epytext can be used to format docstrings and to add
information about specific fields, such as parameters and instance
variables. epydoc also understands docstrings written in
ReStructuredText, Javadoc and plaintext.

This package contains GUI program for epydoc.

%description gui -l pl.UTF-8
epydoc jest narzędziem do generowania dokumentacji API modułów Pythona
w oparciu o ich wewnętrzne opisy (docstrings). Jako przykład wyniku
jego działania można obejrzeć jego własną dokumentację (html, pdf).
Dostępny jest prosty język znaczników o nazwie epytext, który można
wykorzystać do formatowania wewnętrznych opisów oraz do dodawania
informacji o konkretnych polach, takich jak parametry i zmienne
instancji. epydoc rozumie również wewnętrzne opisy stworzone w
formatach ReStructuredText i Javadoc oraz w postaci czystego tekstu.

Ten pakiet zawiera graficzny interfejs użytkownika (GUI) dla epydoc.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

install man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/apirst2html.py
%attr(755,root,root) %{_bindir}/epydoc
%{_mandir}/man1/epydoc.1*
%{py_sitescriptdir}/epydoc
%exclude %{py_sitescriptdir}/epydoc/gui.py[co]
%{py_sitescriptdir}/epydoc-%{version}-py*.egg-info

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/epydocgui
%{py_sitescriptdir}/epydoc/gui.py[co]
%{_mandir}/man1/epydocgui.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: epydoc.spec,v $
Revision 1.26  2011/12/16 19:31:24  qboosh
- cleanup
- pl fix
- removed epydocgui script from base
- release 6

Revision 1.25  2011/06/28 18:53:39  jajcus
- fix to stripping the leading ':' or '-' from consolidated fields
  bulleted list. Probably broken by newer docutils.
- Release: 5

Revision 1.24  2011/06/26 08:27:30  jajcus
- do not include the __package__ module variable in documentation
- Release: 4

Revision 1.23  2011/05/08 11:35:16  jajcus
- Release: 3
- restructured text parsing fix, based on the patch from https://bugzilla.redhat.com/show_bug.cgi?id=578920

Revision 1.22  2011/01/27 21:28:12  sparky
- BR: python, rpm-pythonprov

Revision 1.21  2010/07/08 07:47:04  arekm
- release 2

Revision 1.20  2008/10/20 17:17:50  arekm
- rel 1

Revision 1.19  2008/02/01 01:21:46  darekr
- BR: unzip

Revision 1.18  2008-02-01 01:20:23  wrobell
- ver. 3.0.1

Revision 1.17  2007/03/03 00:56:56  wrobell
- cleanup

Revision 1.16  2007/03/02 23:37:31  wrobell
- ver. 3.0 beta1

Revision 1.15  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.13  2006/09/27 20:07:13  wrobell
- rel. 4 to rebuild with python 2.5 (final)

Revision 1.12  2006/09/04 20:50:11  wiget
- rel. 3 (rebuild with python 2.5)

Revision 1.11  2006/09/03 11:16:23  glen
- strict internal deps

Revision 1.10  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.9  2005/03/10 19:01:51  megabajt
- unified

Revision 1.8  2004/10/03 14:54:07  jajcus
- failed_identifiers patch added (fixes crash on some python code)

Revision 1.7  2004/09/10 12:57:42  jajcus
- Version: 2.1
- s/%{py_sitedir}/%{py_sitescriptdir}/

Revision 1.6  2004/08/31 04:51:02  snurf
- typo / formatting / etc.

Revision 1.5  2004/07/28 08:03:13  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.4  2003/08/31 21:36:32  ankry
- pl

Revision 1.3  2003/08/26 06:08:41  wrobell
- fixed gui subpackage install requirements

Revision 1.2  2003/08/26 04:50:32  wrobell
- gui subpackage
- rel. 1

Revision 1.1  2003/08/25 15:23:29  wrobell
- based on python-logging.spec
